VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Shutdown"
   ClientHeight    =   1800
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   3030
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1800
   ScaleWidth      =   3030
   Begin VB.OptionButton optExitOption 
      Caption         =   "Reboot"
      Height          =   255
      Index           =   1
      Left            =   240
      TabIndex        =   5
      Top             =   600
      Width           =   1575
   End
   Begin VB.OptionButton optExitOption 
      Caption         =   "Log Off"
      Height          =   255
      Index           =   2
      Left            =   240
      TabIndex        =   4
      Top             =   960
      Width           =   1575
   End
   Begin VB.OptionButton optExitOption 
      Caption         =   "Forced Shutdown"
      Height          =   255
      Index           =   3
      Left            =   240
      TabIndex        =   3
      Top             =   1320
      Width           =   1575
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   2040
      TabIndex        =   2
      Top             =   240
      Width           =   735
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2040
      TabIndex        =   1
      Top             =   840
      Width           =   735
   End
   Begin VB.OptionButton optExitOption 
      Caption         =   "Normal Shutdown"
      Height          =   255
      Index           =   0
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Value           =   -1  'True
      Width           =   1575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

#If Win32 Then
    Private Declare Function Shutdown Lib "user32" Alias "ExitWindowsEx" (ByVal uFlags As Long, ByVal dwReserved As Long) As Long
    Private Const EWX_LOGOFF = 0
    Private Const EWX_SHUTDOWN = 1
    Private Const EWX_REBOOT = 2
    Private Const EWX_FORCE = 4
#Else
    Private Declare Function Shutdown Lib "User" Alias "ExitWindows" (ByVal dwReturnCode As Long, ByVal wReserved As Integer) As Integer
    Private Const EW_REBOOTSYSTEM = &H43
    Private Const EW_RESTARTWINDOWS = &H42
#End If

Private SelectedOption As Integer


Private Sub cmdCancel_Click()
    Unload Me
End Sub


Private Sub cmdOk_Click()
Dim exit_option As Long

    exit_option = CLng(optExitOption(SelectedOption).Tag)
    Shutdown exit_option, 0
End Sub

Private Sub Form_Load()
    #If Win32 Then
        ' Prepare for 32 bit ExitWindowsEx.
        optExitOption(0).Caption = "Normal Shutdown"
        optExitOption(0).Tag = EWX_SHUTDOWN

        optExitOption(1).Caption = "Reboot"
        optExitOption(1).Tag = EWX_REBOOT
        
        optExitOption(2).Caption = "Log Off"
        optExitOption(2).Tag = EWX_LOGOFF
        
        optExitOption(3).Caption = "Forced Shutdown"
        optExitOption(3).Tag = EWX_FORCE
    #Else
        ' Prepare for 16 bit ExitWindows.
        optExitOption(0).Caption = "Normal Shutdown"
        optExitOption(0).Tag = 0

        optExitOption(1).Caption = "Reboot"
        optExitOption(1).Tag = EW_REBOOTSYSTEM

        optExitOption(2).Caption = "Restart Windows"
        optExitOption(2).Tag = EW_RESTARTWINDOWS
        
        optExitOption(3).Visible = False
    #End If
End Sub


